Mercury API
setGPIODirection Method (wantOut, pins)
Namespaces ► ThingMagic ► SerialReader ► setGPIODirection(Boolean, array<Int32>[]()[])
Set directions of all GPIO pins
Declaration Syntax

C# | Visual Basic | Visual C++

    public void setGPIODirection(
    	bool wantOut,
    	int[] pins
    )

    Public Sub setGPIODirection ( _
    	wantOut As Boolean, _
    	pins As Integer() _
    )

    public:
    void setGPIODirection(
    	bool wantOut,
    	array<int>^ pins
    )

Parameters

wantOut (Boolean)
  false = input, true = output

pins (array< Int32 >[]()[])
  GPIO pins to set to the desired direction. All other pins implicitly ///set the other way.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)